# Generated by Django 5.2.2 on 2025-06-24 18:48

from django.db import (
    migrations,
    models,
)


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="ChangeLog",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "resource_type",
                    models.CharField(
                        blank=True,
                        choices=[
                            ("asset", "Asset"),
                            ("episode", "Episode"),
                            ("franchise", "Franchise"),
                            ("season", "Season"),
                            ("show", "Show"),
                            ("special", "Special"),
                        ],
                        max_length=200,
                        null=True,
                    ),
                ),
                (
                    "content_id",
                    models.UUIDField(null=True, unique=True, verbose_name="Content ID"),
                ),
                ("entries", models.JSONField(default=dict)),
                ("latest_timestamp", models.DateTimeField(null=True)),
                ("ingested", models.BooleanField(default=False)),
                ("api_crawled", models.DateTimeField(null=True)),
                ("api_status", models.IntegerField(null=True)),
                ("api_data", models.JSONField(default=dict)),
            ],
            options={
                "verbose_name": "PBS MM Changelog",
                "verbose_name_plural": "PBS MM Changelogs",
                "db_table": "pbsmm_changelog",
                "ordering": ["latest_timestamp"],
            },
        ),
        migrations.CreateModel(
            name="AssetChangeLog",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("changelog.changelog",),
        ),
        migrations.CreateModel(
            name="EpisodeChangeLog",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("changelog.changelog",),
        ),
        migrations.CreateModel(
            name="SeasonChangeLog",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("changelog.changelog",),
        ),
        migrations.CreateModel(
            name="ShowChangeLog",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("changelog.changelog",),
        ),
        migrations.CreateModel(
            name="SpecialChangeLog",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("changelog.changelog",),
        ),
    ]
